Skip to main content

Asset Review

View as Markdown

CreateCleanRoomAssetReviewResponse object

notebook_reviewsarray of objectBeta

All existing notebook approvals or rejections

Show child attributesHide child attributes
reviewer_collaborator_aliasstring

Collaborator alias of the reviewer

created_at_millisint64

When the review was submitted, in epoch milliseconds

review_statestring

Review outcome

Values: NOTEBOOK_REVIEW_STATE_UNSPECIFIED, APPROVED, REJECTED, PENDING

commentstring

Review comment

Example: Code looks wrong

Constraints: <= 500 characters

review_sub_reasonstring

Specified when the review was not explicitly made by a user

Values: NOTEBOOK_REVIEW_SUB_REASON_UNSPECIFIED, BACKFILLED, AUTO_APPROVED

jar_analysis_reviewsarray of objectBeta

All existing jar analysis approvals or rejections

Show child attributesHide child attributes
reviewer_collaborator_aliasstringPublic Preview

collaborator alias of the reviewer

created_at_millisint64Public Preview

timestamp of when the review was submitted

review_statestringPublic Preview

review outcome

Values: JAR_ANALYSIS_REVIEW_STATE_UNSPECIFIED, APPROVED, REJECTED, PENDING

commentstringPublic Preview

review comment

Example: Not ready to run yet

Constraints: <= 500 characters

review_sub_reasonstringPublic Preview

specified when the review was not explicitly made by a user

Values: JAR_ANALYSIS_REVIEW_SUB_REASON_UNSPECIFIED, AUTO_APPROVED

notebook_review_statestringBeta

Top-level status derived from all reviews

Values: NOTEBOOK_REVIEW_STATE_UNSPECIFIED, APPROVED, REJECTED, PENDING

jar_analysis_review_statestringBeta

top-level status derived from all reviews

Values: JAR_ANALYSIS_REVIEW_STATE_UNSPECIFIED, APPROVED, REJECTED, PENDING

Create Beta

POST /api/2.0/clean-rooms/{clean_room_name}/assets/{asset_type}/{name}/reviews

Submit an asset review

API scopes: cleanrooms

Parameters

clean_room_namestringRequiredpath

Name of the clean room

namestringRequiredpath

Name of the asset

asset_typestringRequiredpath

Asset type. Can either be NOTEBOOK_FILE or JAR_ANALYSIS.

Values: ASSET_TYPE_UNSPECIFIED, TABLE, NOTEBOOK_FILE, VOLUME, VIEW, FOREIGN_TABLE, JAR_ANALYSIS

Request body

notebook_reviewobject
Show child attributesHide child attributes
etagstringRequired

Etag identifying the notebook version

review_statestringRequired

Review outcome

Values: NOTEBOOK_REVIEW_STATE_UNSPECIFIED, APPROVED, REJECTED, PENDING

commentstring

Review comment

Example: Code looks wrong

Constraints: <= 500 characters

jar_analysis_reviewobject
Show child attributesHide child attributes
etagstringRequired

Etag identifying the jar analysis version, with its value being a hash of an internally-generated UUID

review_statestringRequired

Review outcome

Values: JAR_ANALYSIS_REVIEW_STATE_UNSPECIFIED, APPROVED, REJECTED, PENDING

commentstring

Review comment

Example: Code looks wrong

Constraints: <= 500 characters

Response

Returns the CreateCleanRoomAssetReviewResponse object.